/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :
* Device(s)    : BAT32G439
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2022/10/30
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include <stdio.h>
#include "uart_demo.h"
#include "adc_demo.h"
#include "intp_demo.h"
#include "isr.h"

#define SysVoltage  3.3   //оƬѹ3.3V



/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
extern uint32_t   g_AdcIntTaken;

float get_value1[2];

int main()
{
    uint32_t msCnt;     // count value of 1ms

    //-----------------------------------------------------------------------
    // Systick setting
    //-----------------------------------------------------------------------
    SystemCoreClockUpdate();
    msCnt = SystemCoreClock / 1000;
    SysTick_Config(msCnt);

		 Uart0_Init(19200);
	
    AdcInterRefVoltage_Init();
		ADC_Start(ADC2);

    while (1)
    {
        while (g_AdcIntTaken < 1);
        g_AdcIntTaken = 0;
			
				get_value1[0] = (ADC2->ADOCDR) * SysVoltage/4096;
        printf("InterRefV = 0x%04F\n", get_value1[0]);
    }

}




