/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :
* Device(s)    : BAT32G439
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2022/10/30
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include <stdio.h>
#include "uart_demo.h"
#include "adc_demo.h"
#include "intp_demo.h"
#include "isr.h"





/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
extern uint32_t   g_AdcIntTaken;

uint16_t get_value1[256];

int main()
{
    uint32_t msCnt;     // count value of 1ms

    //-----------------------------------------------------------------------
    // Systick setting
    //-----------------------------------------------------------------------
    SystemCoreClockUpdate();
    msCnt = SystemCoreClock / 1000;
    SysTick_Config(msCnt);

	  Uart0_Init(19200);
	
    Adc0_Init();
		ADC_Start(ADC0);

    while (1)
    {
        while (g_AdcIntTaken < 1);

        g_AdcIntTaken = 0;
				ADC_Start(ADC0);
        printf("ADC = 0x%04X\n", (uint16_t *)ADC0->ADDR1);
    }

}




