/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :
* Device(s)    : BAT32G439
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2022/5/30
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include <stdio.h>
#include "gpio_demo.h"
#include "delay_demo.h"
#include <string.h>
/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/

int main()
{
    uint32_t msCnt;     // count value of 1ms
    //-----------------------------------------------------------------------
    // Systick setting
    //-----------------------------------------------------------------------

   /*  Write C code in this online editor and run it. */
    SystemCoreClockUpdate();
    msCnt = SystemCoreClock / 1000;
    SysTick_Config(msCnt);
    delay_init(SystemCoreClock);

    Led_Init();

    while (1)
    {
        delayMS(1);

				GPIO_ResetBits(GPIO_PORTA,GPIO_Pin_2);
        delayMS(1);
				GPIO_SetBits(GPIO_PORTA,GPIO_Pin_2);

    }

}



