#ifndef __TIM_DEMO_H__
#define __TIM_DEMO_H__
#include "gpio.h"
#include "tim.h"
#include "isr.h"
#include "isr.h"
void Tim80_SquareOutput(void);
void Tim80_DelayCounter(void);
void Tim80_Single_PWM(uint16_t delay, uint16_t period);
void Tim80_PwmOutput1_1(uint16_t period, uint16_t duty);
void Tim80_PwmOutput1_2(uint16_t period, uint16_t duty, uint16_t duty1);
void Tim80_PwmOutput1_3(uint16_t period, uint16_t duty, uint16_t duty1, uint16_t duty2);
void Tim80_PwmOutput2_2(uint16_t period, uint16_t duty, uint16_t period1, uint16_t duty1);
void Tim80_EventCount(void);
void Tim80_GetPulseWidth_Init(void);
void Tim80_GetPulsePeriod_Init(void);
uint32_t Tim80_GetPulsePeriod(void);
void Tim80_IntervalTimer(void);
void tim80_channel0_interrupt(void *msg);
void tim80_channel1_interrupt(void *msg);
void tim80_channel2_interrupt(void *msg);

void tim81_channel0_interrupt(void *msg);
void Tim81_PwmOutput1_1(uint16_t period, uint16_t duty);
void Tim81_GetPulsePeriod_Init(void);
void Tim81_SquareOutput(void);
void Tim81_EventCount(void);
void tim81_channel1_interrupt(void *msg);
uint32_t Tim81_Get_PulseWidth(TIM_Pulse_t PulseEdge);
void tim81_channel2_interrupt(void *msg);

#endif
