#include "epwm_demo.h"

/***********************************************************************************************************************
* Function Name: Epwm_init
* @brief  epwm used to control timer40 PWM output
* @param
* @return
***********************************************************************************************************************/
void Epwm_Init(void)
{
	GPT_InitTypeDef GPT_InitStructure = {0}; ;
	GPIO_InitTypeDef GPIO_InitStruct = {0};
	
//
	 GPIO_PinAFConfig(GPIO_PORTB, GPIO_Pin_0, GROUP_AF_GTIOC00A); 

	/*GPT GPIO CONFIG*/
	GPIO_InitStruct.GPIO_Pin    = GPIO_Pin_0;
	GPIO_InitStruct.GPIO_Mode   = GPIO_Mode_OUT;
	GPIO_InitStruct.GPIO_Level  = GPIO_Level_LOW;
	GPIO_InitStruct.GPIO_OType  = GPIO_OType_PP;	
	GPIO_InitStruct.GPIO_Ctrl  = GPIO_Control_DIG;
	GPIO_Init(GPIO_PORTB, &GPIO_InitStruct);

//	
	
	GPT_InitStructure.PwmMod = PWM_SawtoothWave; //ݲ
	GPT_InitStructure.PwmCountDir = PWM_TimerInc; //
	GPT_InitStructure.PwmFreqDiv = PWM_Div_1;  //1Ƶ
	GPT_InitStructure.PwmSrc = PWMSrc_Soft_GTSTR;  //
	GPT_InitStructure.Period = 0x1000;				//4096
	GPT_InitStructure.DutyA = 0x400; 
	GPT_InitStructure.DutyB = 0x400; 
	GPT_InitStructure.DeadAera = 10;					//
	GPT_InitStructure.GptIOAFunc = PWM_GTIOCx_LowCEndSwCompareMatch;
	GPT_InitStructure.GptIOBFunc = PWM_GTIOCx_LowCEndSwCompareMatch;	
	GPT_InitStructure.GptPrBuff = GPT_BuffSingle;	//
	GPT_InitStructure.GptABuff = GPT_BuffSingle;
	GPT_InitStructure.GptBBuff = GPT_BuffSingle;

	GPT_Init(GPT00,&GPT_InitStructure);
	

}
