/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :
* Device(s)    : BAT32G439
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2022/5/30
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include <stdio.h>
#include "delay_demo.h"
#include "uart_demo.h"
#include <string.h>

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/

int main()
{
    uint32_t msCnt;     // count value of 1ms
    //-----------------------------------------------------------------------
    // Systick setting
    //-----------------------------------------------------------------------

   /*  Write C code in this online editor and run it. */
    SystemCoreClockUpdate();
    msCnt = SystemCoreClock / 1000;
    SysTick_Config(msCnt);
    delay_init(SystemCoreClock);

    Uart0_Init(19200);

    printf("Hello, Celebrate You!!\n");
    printf("You have retargetted fputc and fgetc to UART0 Send and Reveive\n");
    printf("The characters you enter in the serial debugging tool will be displayed.\n");

    while (1)
    {
        getchar();  /* received char will echo by fgetc in retarget.c */
    }

}



