/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :
* Device(s)    : BAT32G439
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2022/5/30
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include <stdio.h>
#include "gpio_demo.h"
#include "uart_demo.h"
#include "tim_demo.h"
#include "delay_demo.h"
#include "elc.h"
#include "BAT32G439.h"

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/

int main()
{
    uint32_t msCnt;     // count value of 1ms
    //-----------------------------------------------------------------------
    // Systick setting
    //-----------------------------------------------------------------------
    SystemCoreClockUpdate();
    msCnt = SystemCoreClock / 1000;
    SysTick_Config(msCnt);
    delay_init(SystemCoreClock);
		//Gpio_Init();
    Uart0_Init(19200);

    /*Example1:Tim8 operates output square wave*/
//		Tim81_SquareOutput();
    /*Example2:Tim8 operates output different duty pwm*/
//		Tim80_PwmOutput1_2(100,60,80);
//		Tim81_PwmOutput1_1(100,50);
//		Tim80_PwmOutput2_2(100, 60, 200, 80);
//		Tim81_PwmOutput1_1(200,40);
		Tim80_PwmOutput1_3(100, 40, 50, 60);
    //delayMS(5000);

}




